- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.BatchUpdateEntitySignalsMappingsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#body.aspect)
- [UpdateEntitySignalsMappingRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#UpdateEntitySignalsMappingRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#UpdateEntitySignalsMappingRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#try-it)

Batch updates `EntitySignalsMapping` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/entitySignalsMappings:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `EntitySignalsMappings` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateEntitySignalsMappingRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#UpdateEntitySignalsMappingRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings/batchUpdate#UpdateEntitySignalsMappingRequest`)`` Required. The `EntitySignalsMapping` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `entitySignalsMappings.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entitySignalsMappings": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`) } ] } ``` |

| Fields ||
|---|---|
| `entitySignalsMappings[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`)`` The `EntitySignalsMapping` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateEntitySignalsMappingRequest

Request object for `entitySignalsMappings.patch` method.

| JSON representation |
|---|
| ``` { "entitySignalsMapping": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `entitySignalsMapping` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.entitySignalsMappings#EntitySignalsMapping`)`` Required. The `EntitySignalsMapping` to update. The EntitySignalsMapping's name is used to identify the EntitySignalsMapping to update. Format: `networks/{networkCode}/entitySignalsMappings/{entitySignalsMapping}` |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |